Subject: Re: [PATCH iproute2-next 1/2] dcb: add new pcp-prio parameter to dcb app

From: Petr Machata <[email-masked]>
Date: Thu, 24 Nov 2022 17:53:06 +0100

Petr Machata <[email-masked]> writes:

> This looks good to me overall, I just have a few nits.

Actually, one more fairly fundamental thing that occurred to me. If a
user doesn't care about DEI, they need to do this using two rules: say
1:1 and 1de:1.

I wonder if it would make sense to assume that people are more likely to
not care about DEI at all, and make the 1:1 mean that. Then 1:1 would be
a shorthand for expressing two rules, one for DE=0, one for DE=1.

If the user does care about DEI, they would either say 1de:1 or 1nd:1,
depending on what they want the DEI to be.

If you generally agree with this idea, but don't have spare cycles to
code it up, would you please just make the PCP keys "${prio}de" and
"${prio}nd"? (Or whatever, but have the syntax reflect the DEI state in
both cases.) I think I'll be able to scrape a bit of a free time on some
weekend to add the syntax sugar.